com.sun.jna.platform.win32

## Enum LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE

- java.lang.Object
- - java.lang.Enum<LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE>
  - - com.sun.jna.platform.win32.LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE>

Enclosing interface:
  LowLevelMonitorConfigurationAPI

    public static enum LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE
    extends java.lang.Enum<LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE>

Describes a Virtual Control Panel (VCP) code type.

### Nested Class Summary

Nested Classes
`static class` `LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE.ByReference` Defines a Reference to the enum

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MC_MOMENTARY` Momentary VCP code.
`MC_SET_PARAMETER` Set Parameter VCP code.

### Method Summary

All Methods Static Methods Concrete Methods
`static LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MC_MOMENTARY

    public static final LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE MC_MOMENTARY

Momentary VCP code. Sending a command of this type causes the monitor to initiate a self-timed operation and then revert to its original state. Examples include display tests and degaussing.

#### MC_SET_PARAMETER

    public static final LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE MC_SET_PARAMETER

Set Parameter VCP code. Sending a command of this type changes some aspect of the monitor's operation.

### Method Detail

#### values

    public static LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE c : LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.